=== debian/changelog ===
mothur (1.47.0-1) unstable; urgency=medium

  * New upstream version
  * Adapt batch file of autopkgtest
  * Install examples

 -- Andreas Tille <tille@debian.org>  Mon, 31 Jan 2022 15:02:16 +0100

mothur (1.46.1-1) unstable; urgency=medium

  [ Andreas Tille ]
  * New upstream version
  * Standards-Version: 4.6.0 (routine-update)
  * Fix build with gcc-11
    Closes: #984243
  * Follow parts of the hints by Aaron M. Ucko
  * Fix linking

  [ Hamid Nassiby ]
  * Fix linking

 -- Andreas Tille <tille@debian.org>  Mon, 08 Nov 2021 18:08:09 +0100
