=== debian/rules ===
#!/usr/bin/make -f
# Sample debian/rules for mothur
# Andreas Tille <tille@debian.org>

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

ARCHBITS ?= $(shell dpkg-architecture -qDEB_BUILD_ARCH_BITS)

ifeq ($(ARCHBITS),64)
	64BIT_VERSION=yes
else
	64BIT_VERSION=no
endif

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@

override_dh_auto_build:
	dh_auto_build -- 64BIT_VERSION=$(64BIT_VERSION)
	# source/uchime_src/mk vanished from upstream source so this should probably not be called any more)
	# (cd source/uchime_src && CXX=$(CXX) ./mk && mv uchime ../..)

override_dh_auto_install:
	true

#Cleaning needs help right now
override_dh_auto_clean:
	rm -f mothur uchime
	make clean
	(cd source/uchime_src && rm -f *.o mk.stdout mk.stderr tmp.stderr)

# Test data are missing
#override_dh_auto_test:
#	TestBatches/master_batch.sh

override_dh_dwz:
	echo Do not run dh_dwz due to:
	echo "   dwz: Too few files for multifile optimization"
	echo "   objcopy: 'debian/mothur/usr/lib/debug/.dwz/x86_64-linux-gnu/mothur.debug': No such file"
	echo "   dh_dwz: objcopy --compress-debug-sections debian/mothur/usr/lib/debug/.dwz/x86_64-linux-gnu/mothur.debug returned exit code 1"
