## mothur 1.48.0

=== Makefile ===
--- 
+++ 
@@ -37,8 +37,8 @@
 GSL_INCLUDE_DIR ?= "\"Enter_your_GSL_include_path_here\""
 MOTHUR_FILES="\"Enter_your_default_path_here\""
 MOTHUR_TOOLS="\"Enter_your_mothur_tools_path_here\""
-VERSION = "\"1.47.0\""
-RELEASE_DATE = "\"1/21/22\""
+VERSION = "\"1.48.0\""
+RELEASE_DATE = "\"5/20/22\""
 
 
 # Set a static logfile name
