=== debian/changelog ===
mothur (1.48.0-2) unstable; urgency=medium

  * Team upload.
  * Fix batch file for autopkgtest (Closes: #1014104)
  * Add patch to add hardening flags
  * Refresh patch

 -- Mohammed Bilal <mdbilal@disroot.org>  Sat, 06 Aug 2022 14:24:47 +0000

mothur (1.48.0-1) unstable; urgency=medium

  * New upstream version 1.48.0
  * Refresh patches

 -- Tomasz Buchert <tomasz@debian.org>  Mon, 20 Jun 2022 13:58:22 +0200
