=== debian/control ===
Source: mothur
Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
Uploaders: Steffen Moeller <moeller@debian.org>,
           Andreas Tille <tille@debian.org>,
           Tomasz Buchert <tomasz@debian.org>
Section: science
Priority: optional
Build-Depends: debhelper-compat (= 13),
               gfortran,
               libboost-iostreams-dev,
               libreadline-dev,
               zlib1g-dev
Standards-Version: 4.6.0
Vcs-Browser: https://salsa.debian.org/med-team/mothur
Vcs-Git: https://salsa.debian.org/med-team/mothur.git
Homepage: https://www.mothur.org
Rules-Requires-Root: no

Package: mothur
Architecture: any
Depends: ${misc:Depends}, ${shlibs:Depends}
Conflicts: uchime
Provides: uchime
Description: sequence analysis suite for research on microbiota
 Mothur seeks to develop a single piece of open-source, expandable
 software to fill the bioinformatics needs of the microbial ecology
 community. It has incorporated the functionality of dotur, sons,
 treeclimber, s-libshuff, unifrac, and much more. In addition to improving
 the flexibility of these algorithms, a number of other features including
 calculators and visualization tools were added.
