=== debian/changelog ===
mothur (1.48.1-1) unstable; urgency=medium

  * New upstream version 1.48.1
  * Refresh patches

 -- Tomasz Buchert <tomasz@debian.org>  Sun, 02 Jun 2024 10:19:46 +0200
