=== debian/control ===
--- 
+++ 
@@ -10,7 +10,7 @@
                libboost-iostreams-dev,
                libreadline-dev,
                zlib1g-dev
-Standards-Version: 4.6.0
+Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/med-team/mothur
 Vcs-Git: https://salsa.debian.org/med-team/mothur.git
 Homepage: https://www.mothur.org
@@ -18,7 +18,8 @@
 
 Package: mothur
 Architecture: any
-Depends: ${misc:Depends}, ${shlibs:Depends}
+Depends: ${misc:Depends},
+         ${shlibs:Depends}
 Conflicts: uchime
 Provides: uchime
 Description: sequence analysis suite for research on microbiota
