=== debian/rules ===
--- 
+++ 
@@ -32,10 +32,6 @@
 	make clean
 	(cd source/uchime_src && rm -f *.o mk.stdout mk.stderr tmp.stderr)
 
-# Test data are missing
-#override_dh_auto_test:
-#	TestBatches/master_batch.sh
-
 override_dh_dwz:
 	echo Do not run dh_dwz due to:
 	echo "   dwz: Too few files for multifile optimization"
