## mothur 1.48.5

=== Makefile ===
--- 
+++ 
@@ -23,7 +23,7 @@
 INSTALL_DIR ?= "\"Enter_your_mothur_install_path_here\""
 
 OPTIMIZE ?= yes
-USEREADLINE ?= yes
+USEREADLINE ?= no
 USEBOOST ?= no
 USEHDF5 ?= no
 USEGSL ?= no
@@ -37,8 +37,8 @@
 GSL_INCLUDE_DIR ?= "\"Enter_your_GSL_include_path_here\""
 MOTHUR_FILES="\"Enter_your_default_path_here\""
 MOTHUR_TOOLS="\"Enter_your_mothur_tools_path_here\""
-VERSION = "\"1.48.1\""
-RELEASE_DATE = "\"5/15/24\""
+VERSION = "\"1.48.5\""
+RELEASE_DATE = "\"1/13/26\""
 
 
 # Set a static logfile name
@@ -102,8 +102,7 @@
 
 #
 # INCLUDE directories for mothur
-#
-#
+
 	VPATH=source/calculators:source/chimera:source/classifier:source/clearcut:source/commands:source/communitytype:source/datastructures:source/engines:source/metastats:source/read:source/svm:source/
     skipUchime := source/uchime_src/
     subdirs :=  $(sort $(dir $(filter-out  $(skipUchime), $(wildcard source/*/))))
@@ -112,11 +111,7 @@
     CXXFLAGS += -I. $(subDirIncludes)
     LDFLAGS += $(subDirLinking)
 
-
-#
-# Get the list of all .cpp files, rename to .o files
-#
-    OBJECTS=$(patsubst %.cpp,%.o,$(wildcard $(addsuffix *.cpp,$(subdirs))))
+		OBJECTS=$(patsubst %.cpp,%.o,$(wildcard $(addsuffix *.cpp,$(subdirs))))
     OBJECTS+=$(patsubst %.c,%.o,$(wildcard $(addsuffix *.c,$(subdirs))))
     OBJECTS+=$(patsubst %.cpp,%.o,$(wildcard *.cpp))
     OBJECTS+=$(patsubst %.c,%.o,$(wildcard *.c))
