=== debian/changelog ===
mothur (1.48.5-2) unstable; urgency=medium

  * Fix hardening flags for uchime

 -- Tomasz Buchert <tomasz@debian.org>  Wed, 11 Feb 2026 00:06:31 +0100

mothur (1.48.5-1) unstable; urgency=medium

  * New upstream version 1.48.5
  * Refresh patches

 -- Tomasz Buchert <tomasz@debian.org>  Sat, 07 Feb 2026 20:10:25 +0100
