=== debian/control ===
--- 
+++ 
@@ -1,25 +1,23 @@
 Source: mothur
+Standards-Version: 4.7.3
 Maintainer: Debian Med Packaging Team <debian-med-packaging@lists.alioth.debian.org>
 Uploaders: Steffen Moeller <moeller@debian.org>,
            Andreas Tille <tille@debian.org>,
            Tomasz Buchert <tomasz@debian.org>
 Section: science
-Priority: optional
-Build-Depends: debhelper-compat (= 13),
+Build-Depends: debhelper (>= 13),
+               debhelper-compat (= 13),
                gfortran,
                libboost-iostreams-dev,
                libreadline-dev,
                zlib1g-dev
-Standards-Version: 4.6.2
 Vcs-Browser: https://salsa.debian.org/med-team/mothur
 Vcs-Git: https://salsa.debian.org/med-team/mothur.git
 Homepage: https://www.mothur.org
-Rules-Requires-Root: no
 
 Package: mothur
 Architecture: any
-Depends: ${misc:Depends},
-         ${shlibs:Depends}
+Depends: ${misc:Depends}, ${shlibs:Depends}
 Conflicts: uchime
 Provides: uchime
 Description: sequence analysis suite for research on microbiota
